Package com.sas.metadata.remote

# Interface Identity

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `IdentityGroup`, `Person`

public interface Identity extends PrimaryType
Identity - abstract class for objects that identify an entity.

Attributes of Identity are:

- `DisplayName`

Associations of Identity are:

- `AccessControlEntries`
- `AssociatedHomeFolder`
- `IdentityChanges`
- `IdentityGroups`
- `InternalLoginInfo`
- `Logins`
- `Responsibilities`

## Usage

To create an instance of this Identity, use the `factory` create methods.
Example: create a Identity with name "Identity_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Identity myObject = (Identity) factory.createComplexMetadataObject(objectStore, "Identity_Object", MetadataObjects.IDENTITY, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ACCESSCONTROLENTRIES_NAME`
  Constant used for the name of the AccessControlEntries association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDHOMEFOLDER_NAME`
  Constant used for the name of the AssociatedHomeFolder association.
  `static final String`
  `ASSOCIATION_IDENTITYCHANGES_NAME`
  Constant used for the name of the IdentityChanges association.
  `static final String`
  `ASSOCIATION_IDENTITYGROUPS_NAME`
  Constant used for the name of the IdentityGroups association.
  `static final String`
  `ASSOCIATION_INTERNALLOGININFO_NAME`
  Constant used for the name of the InternalLoginInfo association.
  `static final String`
  `ASSOCIATION_LOGINS_NAME`
  Constant used for the name of the Logins association.
  `static final String`
  `ASSOCIATION_RESPONSIBILITIES_NAME`
  Constant used for the name of the Responsibilities association.
  `static final String`
  `ATTRIBUTE_DISPLAYNAME_NAME`
  Constant used for the name of the DisplayName attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getAccessControlEntries()`
  Gets the AssociationList of `AccessControlEntries`
  `AssociationList`
  `getAccessControlEntries(boolean fGoToServer)`
  Gets the Associationlist of `AccessControlEntries`
  `Tree`
  `getAssociatedHomeFolder()`
  Gets the `Tree` for `AssociatedHomeFolder`
  `AssociationList`
  `getAssociatedHomeFolders()`
  Gets the Association list of `AssociatedHomeFolders`
  `AssociationList`
  `getAssociatedHomeFolders(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedHomeFolders`
  `String`
  `getDisplayName()`
  Gets the `String` value of `DisplayName`
  `int`
  `getDisplayNameMaxLength()`
  Gets the maximum length of `DisplayName`
  `int`
  `getDisplayNameState()`
  Gets the Metadata State of `DisplayName`
  `AssociationList`
  `getIdentityChanges()`
  Gets the Association list of `IdentityChanges`
  `AssociationList`
  `getIdentityChanges(boolean fGoToServer)`
  Gets the Associationlist of `IdentityChanges`
  `AssociationList`
  `getIdentityGroups()`
  Gets the Association list of `IdentityGroups`
  `AssociationList`
  `getIdentityGroups(boolean fGoToServer)`
  Gets the Associationlist of `IdentityGroups`
  `InternalLogin`
  `getInternalLoginInfo()`
  Gets the `InternalLogin` for `InternalLoginInfo`
  `AssociationList`
  `getInternalLoginInfos()`
  Gets the Association list of `InternalLoginInfos`
  `AssociationList`
  `getInternalLoginInfos(boolean fGoToServer)`
  Gets the Associationlist of `InternalLoginInfos`
  `AssociationList`
  `getLogins()`
  Gets the Association list of `Logins`
  `AssociationList`
  `getLogins(boolean fGoToServer)`
  Gets the Associationlist of `Logins`
  `AssociationList`
  `getResponsibilities()`
  Gets the Association list of `Responsibilities`
  `AssociationList`
  `getResponsibilities(boolean fGoToServer)`
  Gets the Associationlist of `Responsibilities`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `AccessControlEntries`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAccessControlEntries(AssociationList list)`
  Sets the `AccessControlEntries` list to be `list`.
  `void`
  `setAccessControlEntries(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setAssociatedHomeFolder(Tree inObject)`
  Sets the `AssociatedHomeFolders` list 0th element to be `inObject`.
  `void`
  `setAssociatedHomeFolders(AssociationList list)`
  Sets the `AssociatedHomeFolders` list to be `list`.
  `void`
  `setAssociatedHomeFolders(AssociationList list, int state)`
  Sets the `AssociatedHomeFolders` list to be `list`.
  `void`
  `setDisplayName(String inDisplayName)`
  Sets the `DisplayName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setDisplayName(String inDisplayName, int state)`
  Sets the `DisplayName` Metadata State.
  `void`
  `setDisplayNameState(int state)`
  Sets the Metadata State of `DisplayName`.
  `void`
  `setIdentityChanges(AssociationList list)`
  Sets the `IdentityChanges` list to be `list`.
  `void`
  `setIdentityChanges(AssociationList inObjects, int state)`
  Sets the entire IdentityChanges list to match the passed in AssociationList, sets the state of the IdentityChanges
  `void`
  `setIdentityGroups(AssociationList list)`
  Sets the `IdentityGroups` list to be `list`.
  `void`
  `setIdentityGroups(AssociationList inObjects, int state)`
  Sets the entire IdentityGroups list to match the passed in AssociationList, sets the state of the IdentityGroups
  `void`
  `setInternalLoginInfo(InternalLogin inObject)`
  Sets the `InternalLoginInfos` list 0th element to be `inObject`.
  `void`
  `setInternalLoginInfos(AssociationList list)`
  Sets the `InternalLoginInfos` list to be `list`.
  `void`
  `setInternalLoginInfos(AssociationList list, int state)`
  Sets the `InternalLoginInfos` list to be `list`.
  `void`
  `setLogins(AssociationList list)`
  Sets the `Logins` list to be `list`.
  `void`
  `setLogins(AssociationList inObjects, int state)`
  Sets the entire Logins list to match the passed in AssociationList, sets the state of the Logins
  `void`
  `setResponsibilities(AssociationList list)`
  Sets the `Responsibilities` list to be `list`.
  `void`
  `setResponsibilities(AssociationList inObjects, int state)`
  Sets the entire Responsibilities list to match the passed in AssociationList, sets the state of the Responsibilities

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_DISPLAYNAME_NAME

    static final String ATTRIBUTE_DISPLAYNAME_NAME
    Constant used for the name of the DisplayName attribute.

    DisplayName:

    This field is expected to contain the name of the person or group as it should be displayed in GUIs. In enterprise installations this would be a first and last name with a middle initial potentially added in the middle. There will be no constraints on the field other than size. It is possible that the display name not be populated at all or that the 3 people have the same display name. (The "name" field is still required to be unique on the server.)

    GUIs that display a Person or IdentityGroup (or Role) should use the DisplayName to identify the user in the list of users. If a particular Person or IdentityGroup does not have a DisplayName, then the Name attribute should be used.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ACCESSCONTROLENTRIES_NAME

    static final String ASSOCIATION_ACCESSCONTROLENTRIES_NAME
    Constant used for the name of the AccessControlEntries association.

    AccessControlEntries: The access control entries associated with this identity.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDHOMEFOLDER_NAME

    static final String ASSOCIATION_ASSOCIATEDHOMEFOLDER_NAME
    Constant used for the name of the AssociatedHomeFolder association.

    AssociatedHomeFolder: The home folder for this identity.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_IDENTITYCHANGES_NAME

    static final String ASSOCIATION_IDENTITYCHANGES_NAME
    Constant used for the name of the IdentityChanges association.

    IdentityChanges: The changes made by this identity (or user).

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_IDENTITYGROUPS_NAME

    static final String ASSOCIATION_IDENTITYGROUPS_NAME
    Constant used for the name of the IdentityGroups association.

    IdentityGroups: The groups that this identity are a part.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_INTERNALLOGININFO_NAME

    static final String ASSOCIATION_INTERNALLOGININFO_NAME
    Constant used for the name of the InternalLoginInfo association.

    InternalLoginInfo: The internal login configuration for this identity.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_LOGINS_NAME

    static final String ASSOCIATION_LOGINS_NAME
    Constant used for the name of the Logins association.

    Logins: The logins defined for this identity.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_RESPONSIBILITIES_NAME

    static final String ASSOCIATION_RESPONSIBILITIES_NAME
    Constant used for the name of the Responsibilities association.

    Responsibilities: The list of responsibilities for this person.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `AccessControlEntries`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDisplayName

    String getDisplayName() throws RemoteException
    Gets the `String` value of `DisplayName`
    Returns:
      The `DisplayName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDisplayNameState

    int getDisplayNameState() throws RemoteException
    Gets the Metadata State of `DisplayName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDisplayNameMaxLength

    int getDisplayNameMaxLength() throws RemoteException
    Gets the maximum length of `DisplayName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccessControlEntries

    AssociationList getAccessControlEntries() throws RemoteException, MdException
    Gets the AssociationList of `AccessControlEntries`
    Returns:
      Returns the AssociationList of `AccessControlEntries` which can be of type:
      AccessControlEntry
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedHomeFolders

    AssociationList getAssociatedHomeFolders() throws RemoteException, MdException
    Gets the Association list of `AssociatedHomeFolders`
    Returns:
      The AssociationList of `AssociatedHomeFolders` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedHomeFolder

    Tree getAssociatedHomeFolder() throws RemoteException, MdException
    Gets the `Tree` for `AssociatedHomeFolder`
    Returns:
      The `Tree` ( `null` if not set ) of `AssociatedHomeFolder` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIdentityChanges

    AssociationList getIdentityChanges() throws RemoteException, MdException
    Gets the Association list of `IdentityChanges`
    Returns:
      The AssociationList of `IdentityChanges` which can be of type:
      Change
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIdentityGroups

    AssociationList getIdentityGroups() throws RemoteException, MdException
    Gets the Association list of `IdentityGroups`
    Returns:
      The AssociationList of `IdentityGroups` which can be of type:
      IdentityGroup
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getInternalLoginInfos

    AssociationList getInternalLoginInfos() throws RemoteException, MdException
    Gets the Association list of `InternalLoginInfos`
    Returns:
      The AssociationList of `InternalLoginInfos` which can be of type:
      InternalLogin
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getInternalLoginInfo

    InternalLogin getInternalLoginInfo() throws RemoteException, MdException
    Gets the `InternalLogin` for `InternalLoginInfo`
    Returns:
      The `InternalLogin` ( `null` if not set ) of `InternalLoginInfo` which can be of type:
      InternalLogin
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getLogins

    AssociationList getLogins() throws RemoteException, MdException
    Gets the Association list of `Logins`
    Returns:
      The AssociationList of `Logins` which can be of type:
      Login
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getResponsibilities

    AssociationList getResponsibilities() throws RemoteException, MdException
    Gets the Association list of `Responsibilities`
    Returns:
      The AssociationList of `Responsibilities` which can be of type:
      ResponsibleParty
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAccessControlEntries

    AssociationList getAccessControlEntries(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AccessControlEntries`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AccessControlEntries` which can be of type:
      AccessControlEntry
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedHomeFolders

    AssociationList getAssociatedHomeFolders(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedHomeFolders`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedHomeFolders` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIdentityChanges

    AssociationList getIdentityChanges(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `IdentityChanges`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `IdentityChanges` which can be of type:
      Change
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIdentityGroups

    AssociationList getIdentityGroups(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `IdentityGroups`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `IdentityGroups` which can be of type:
      IdentityGroup
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getInternalLoginInfos

    AssociationList getInternalLoginInfos(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `InternalLoginInfos`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `InternalLoginInfos` which can be of type:
      InternalLogin
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getLogins

    AssociationList getLogins(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Logins`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Logins` which can be of type:
      Login
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getResponsibilities

    AssociationList getResponsibilities(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Responsibilities`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Responsibilities` which can be of type:
      ResponsibleParty
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setDisplayName

    void setDisplayName(String inDisplayName) throws RemoteException
    Sets the `DisplayName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inDisplayName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDisplayName

    void setDisplayName(String inDisplayName, int state) throws RemoteException
    Sets the `DisplayName` Metadata State.
    Parameters:
      `inDisplayName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDisplayNameState

    void setDisplayNameState(int state) throws RemoteException
    Sets the Metadata State of `DisplayName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccessControlEntries

    void setAccessControlEntries(AssociationList list) throws RemoteException
    Sets the `AccessControlEntries` list to be `list`. Objects of which can be of type:
    AccessControlEntry
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccessControlEntries

    void setAccessControlEntries(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedHomeFolders

    void setAssociatedHomeFolders(AssociationList list) throws RemoteException
    Sets the `AssociatedHomeFolders` list to be `list`. Objects of which can be of type:
    Tree
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedHomeFolders

    void setAssociatedHomeFolders(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedHomeFolders` list to be `list`. Objects of which can be of type:
    Tree
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedHomeFolder

    void setAssociatedHomeFolder(Tree inObject) throws RemoteException
    Sets the `AssociatedHomeFolders` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Tree
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIdentityChanges

    void setIdentityChanges(AssociationList list) throws RemoteException
    Sets the `IdentityChanges` list to be `list`. Objects of which can be of type:
    Change
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIdentityChanges

    void setIdentityChanges(AssociationList inObjects, int state) throws RemoteException
    Sets the entire IdentityChanges list to match the passed in AssociationList, sets the state of the IdentityChanges
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIdentityGroups

    void setIdentityGroups(AssociationList list) throws RemoteException
    Sets the `IdentityGroups` list to be `list`. Objects of which can be of type:
    IdentityGroup
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIdentityGroups

    void setIdentityGroups(AssociationList inObjects, int state) throws RemoteException
    Sets the entire IdentityGroups list to match the passed in AssociationList, sets the state of the IdentityGroups
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInternalLoginInfos

    void setInternalLoginInfos(AssociationList list) throws RemoteException
    Sets the `InternalLoginInfos` list to be `list`. Objects of which can be of type:
    InternalLogin
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInternalLoginInfos

    void setInternalLoginInfos(AssociationList list, int state) throws RemoteException
    Sets the `InternalLoginInfos` list to be `list`. Objects of which can be of type:
    InternalLogin
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInternalLoginInfo

    void setInternalLoginInfo(InternalLogin inObject) throws RemoteException
    Sets the `InternalLoginInfos` list 0th element to be `inObject`.
    Parameters:
      `inObject` - InternalLogin
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLogins

    void setLogins(AssociationList list) throws RemoteException
    Sets the `Logins` list to be `list`. Objects of which can be of type:
    Login
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLogins

    void setLogins(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Logins list to match the passed in AssociationList, sets the state of the Logins
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setResponsibilities

    void setResponsibilities(AssociationList list) throws RemoteException
    Sets the `Responsibilities` list to be `list`. Objects of which can be of type:
    ResponsibleParty
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setResponsibilities

    void setResponsibilities(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Responsibilities list to match the passed in AssociationList, sets the state of the Responsibilities
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.